steps:
  - name: build
    image: transactcharlie/docker-nuitka
    commands:
      - nuitka3 src/main.py -o baloon
      - ls -lh
      - file baloon
  
  - name: release
    image: plugins/gitea-release
    # image: woodpeckerci/plugin-gitea-release
    settings:
        base_url: https://git.zunet.ru
        files:
          - "baloon"
        api_key:
          from_secret: SEC1
        target: main
        title: ${CI_COMMIT_TAG##v}